@import url('_reset.css');
@import url('_fonts.css');
@import url('../lib/splide/splide.min.css');

* {
	font-family: 'Museo Sans Cyrl', sans-serif;
	font-weight: 500;
	color: #171718;
}

.container {
	display: flex;
	overflow: hidden;
}

.aside {
	background-color: white;
	position: relative;
	z-index: 3;
	box-shadow: -70px 0px 70px 10px #ffffff, 10px 0px 20px 10px #ffffff;
}

.aside_left {
	flex: 1 1 auto;
}

.aside_right {
	flex: 1 0 10%;
}

/* Reviews */

.reviews {
	width: 1140px;
	height: 100vh;
	margin: 0 auto;

	display: flex;
	flex-direction: column;
	justify-content: center;

	padding-left: 40px;
}

.reviews__title {
	font-size: 45px;
	font-weight: 900;

	margin-bottom: 40px;
}

.reviews-item {
	font-size: 16px;
	max-width: 820px;

	display: flex;

	box-shadow: 0 4px 32px rgba(157, 169, 194, 0.24);
	border-radius: 5px;

	padding: 30px 121px 30px 35px;
}

.reviews-item__initials {
	font-weight: 400;
	line-height: 20px;

	flex: 1 0 auto;
	display: flex;
	flex-direction: column;
	justify-content: space-between;

	margin-right: 60px;
}

.reviews-item__initials::after {
	content: url("../icon/frame.svg");
}

.reviews-item__separator {
	width: 4px;
	background-color: #7F5AF0;
	border: 1px solid #7F5AF0;
	border-radius: 5px;
}

.reviews-item__description {
	display: grid;
	row-gap: 20px;

	padding-left: 25px;
}

.reviews-item__description p {
	font-weight: 300;
	line-height: 22px;
}

/* Splide */

.splide__track {
	overflow: visible;
}

/* Arrows */

.arrows {
	position: absolute;
	top: -85px;
	left: 470px;
}

.arrow {
	background: none;
	transition: all .2s linear;
}

.arrow:hover,
.arrow:disabled {
	opacity: .5;
}

.arrow:first-child {
	margin-right: 30px;
}

.arrow svg {
	position: relative;
}

.arrow svg path {
	fill: #7F5AF0;
}

.arrow--prev svg{
	transform: rotate(180deg);
}

.arrow--next svg {
	top: 12px;
}

/* Breakpoints */

@media (max-width: 1200px) {

	.reviews {
		min-width: 420px;
	}
}

@media (max-width: 992px) {

	.reviews {
		margin-right: 40px;
	}

	.reviews-item {
		padding-right: 50px;
	}

	.aside_right {
		flex-basis: 5px;
		box-shadow: -30px 0px 30px 50px #ffffff;
	}
}

@media (max-width: 768px) {

	.reviews {
		margin-right: 30px;
	}

	.reviews__title {
		font-size: 35px;
		text-align: center;

		margin-bottom: 80px;
	}

	.reviews-item__initials {
		margin-right: 30px;
	}

	.arrows {
		top: -70px;
		left: 50%;
		transform: translateX(-50%);
	}
}

@media (max-width: 576px) {

	.reviews {
		min-width: 100px;
	}

	.reviews__title {
		font-size: 30px;
	}

	.reviews-item {
		flex-direction: column;
		padding-right: 30px;
	}

	.reviews-item__initials {
		font-size: 14px;
		flex-direction: row;
		margin-right: 0;
	}

	.reviews-item__separator {
		width: 100%;
		margin: 30px 0;
	}

	.reviews-item__description {
		padding-left: 0;
	}

	.reviews-item__description p {
		font-size: 14px;
		font-weight: 300;
		line-height: 20px;
	}

	.aside_right {
		box-shadow: -30px 0px 50px 30px #ffffff;
	}
}